<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HostReturnOptions](./bitburner.hostreturnoptions.md) &gt; [returnByIP](./bitburner.hostreturnoptions.returnbyip.md)

## HostReturnOptions.returnByIP property

If set to `true`<!-- -->, returns IP addresses instead of hostnames. Defaults to `false`<!-- -->.

**Signature:**

```typescript
returnByIP?: boolean;
```
